Bug 53678 - mozilla sometimes opens IN galeon and performs poorly
Summary: mozilla sometimes opens IN galeon and performs poorly
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: galeon   
(Show other bugs)
Version: 7.3
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Christopher Blizzard
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-09-14 20:58 UTC by Mike McLean
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-09-25 20:51:37 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
gtop with mozilla mail embedded in galeon (119.58 KB, image/jpeg)
2001-09-14 21:00 UTC, Michael A. McLean
no flags Details
gtop with mozilla and galeon running separately (111.91 KB, image/jpeg)
2001-09-14 21:01 UTC, Michael A. McLean
no flags Details

Description Michael A. McLean 2001-09-14 20:58:21 UTC
* re0909.2-i386
* everything install

Description of Problem:
The mozilla startup script attempts to contact an existing mozilla process
(by means of mozilla-bin -remote) before starting a new one.  Sometimes
(but not always) an existing galeon process will respond.  When this
happens mozilla will open embedded in galeon, with lousy performance and
strange behavior.

The performance is particularly bad if you try to open mozilla mail under
galeon.  Galeon opens an absurdly large window (about 17000 x 17000) which
pretty much eats all system memory and slows even a really really fast
machine to a crawl.  I will attach some gtop screen captures.

The behavior is repeatable, although oddly so.  It only happens if galeon
is running and only if galeon is displaying certain web pages
(news-observer.com works, wral.com doesn't, go fig). I tried turning off
java and javascript in galeon, but this had no affect. 

Steps to repeat:
1. run galeon and load www.news-observer.com
2. run mozilla (from command line or launcher)
3. click on mozilla's mail icon

Comment 1 Michael A. McLean 2001-09-14 21:00:07 UTC
Created attachment 31797 [details]
gtop with mozilla mail embedded in galeon

Comment 2 Michael A. McLean 2001-09-14 21:01:16 UTC
Created attachment 31798 [details]
gtop with mozilla and galeon running separately

Comment 3 Christopher Blizzard 2001-09-14 21:39:19 UTC
Wow.  Now _that_ is a bug.

Comment 4 Christopher Blizzard 2001-09-14 21:42:21 UTC
Oh.  If you're using gtop it will combine all of the threads into a single
process giving the illusion of using that much memory.  In fact, all of the
memory is shared so assuming that there are (5) galeon-bin processes instead of
using 200 meg of memory it's actually using 200 / 5 or 40 meg.

Comment 5 Michael A. McLean 2001-09-25 20:51:32 UTC
Note however that the single thread of X is consuming most of the memory.  The
load is so intense that on a Proliant DL380 with 512M of ram X will simply lock up.

Comment 6 Christopher Blizzard 2002-01-25 20:24:01 UTC
Fixed in rawhide.


Note You need to log in before you can comment on or make changes to this bug.